## openjdk-7 7u71-2.5.3

=== debian/changelog ===
openjdk-7 (7u71-2.5.3-2~deb7u1) wheezy-security; urgency=low

  * Build for stable

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 27 Nov 2014 00:02:13 +0100

openjdk-7 (7u71-2.5.3-2) unstable; urgency=medium

  * Regenerate the .orig.tar to omit a third hotspot tarball.
  * Really fix the libjpeg runtime dependency for sid and jessie.
    Closes: #766601.
  * Fix regression running JamVM after the 2.5.3 security update.
    Closes: #767771. LP: #1382205.
  * Fix regression running CACAO after the 2.5.3 security update.
  * Backport S8000897, VM crash in CompileBroker. Closes: #768747.
  * Fix building icedtea-sound on x32 (patch dropped in 7u71-2.5.3-1).
    Closes: #766610.
  * Don't use the compatibility path names from the ttf-dejavu packages
    for recent releases. LP: #1362099.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Nov 2014 11:10:28 +0100

openjdk-7 (7u71-2.5.3-1) unstable; urgency=high

  * IcedTea7 2.5.3 release (based on OpenJDK 7u71).
  * Security fixes:
    - S8015256: Better class accessibility.
    - S8022783, CVE-2014-6504: Optimize C2 optimizations.
    - S8035162: Service printing service.
    - S8035781: Improve equality for annotations.
    - S8036805: Correct linker method lookup.
    - S8036810: Correct linker field lookup.
    - S8036936: Use local locales.
    - S8037066, CVE-2014-6457: Secure transport layer.
    - S8037846, CVE-2014-6558: Ensure streaming of input cipher streams.
    - S8038364: Use certificate exceptions correctly.
    - S8038899: Safer safepoints.
    - S8038903: More native monitor monitoring.
    - S8038908: Make Signature more robust.
    - S8038913: Bolster XML support.
    - S8039509, CVE-2014-6512: Wrap sockets more thoroughly.
    - S8039533, CVE-2014-6517: Higher resolution resolvers.
    - S8041540, CVE-2014-6511: Better use of pages in font processing.
    - S8041529: Better parameterization of parameter lists.
    - S8041545: Better validation of generated rasters.
    - S8041564, CVE-2014-6506: Improved management of logger resources.
    - S8041717, CVE-2014-6519: Issue with class file parser.
    - S8042609, CVE-2014-6513: Limit splashiness of splash images.
    - S8042797, CVE-2014-6502: Avoid strawberries in LogRecord.
    - S8044274, CVE-2014-6531: Proper property processing.

  [ Matthias Klose ]
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo
    (Ondřej Surý). Closes: #763489.
  * Depend on libnss3 instead of libnss3-1d for recent releases.
    Addresses: #760122.
  * Ship the apt binary and man page again. Closes: #765037.

  [ Bill Huey ]
  * Icedtea 2.5.3, jamvm-2.0.0 and icetea-sound-1.0.1 packaging updates.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Oct 2014 15:53:05 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG LC_ALL

SHELL = /bin/bash

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)
ifneq (,$(DEB_HOST_MULTIARCH))
  ifneq (,$(filter $(distrel),natty oneiric))
    DEB_HOST_MULTIARCH =
    multiarch_dir =
  endif
endif

hotspot_archs	= amd64 i386 lpia ppc64 ppc64el sparc sparc64 kfreebsd-amd64 kfreebsd-i386
hotspot_archs	= amd64 i386 arm64 lpia ppc64 ppc64el kfreebsd-amd64 kfreebsd-i386
# requires llvm; llvm in jaunty is recent enough, but in universe
ifeq (,$(filter $(distrel),lenny jaunty intrepid hardy))
  shark_archs	= amd64 i386 lpia kfreebsd-amd64 kfreebsd-i386
  # Shark build but just crash
  shark_archs   =
endif

ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise lenny etch squeeze wheezy))
  is_default = no
else
  is_default = yes
endif

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk
basename	= openjdk-$(shortver)
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),1071,1051)
  vm_name	= Hotspot JIT
else ifneq (,$(filter $(DEB_HOST_ARCH), $(shark_archs)))
  priority	= $(if $(filter yes, $(is_default)),1065,1045)
  vm_name	= Hotspot Shark
else
  priority	= $(if $(filter yes, $(is_default)),1063,1043)
  vm_name	= Hotspot Zero
endif
p_lib_arch	= all
jvmver		= 1.7.0
shortver	= 7
ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
endif
security	= $(etcdir)/security
jreimg		= openjdk.build/j2re-image
sdkimg		= openjdk.build/j2sdk-image

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  HOTSPOT_BUILD_JOBS = $(NJOBS)
  ALT_PARALLEL_COMPILE_JOBS = $(NJOBS)
  export HOTSPOT_BUILD_JOBS
  export ALT_PARALLEL_COMPILE_JOBS
endif

# make the build log comparable
#export HOTSPOT_BUILD_JOBS = 1
#export ALT_PARALLEL_COMPILE_JOBS = 1

# Extracting debug symbols done by dh_strip
export ALT_OBJCOPY=fake
export ALT_STRIP_POLICY=no_strip

with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(DEB_HOST_ARCH), armel))
  with_check = disabled running check on $(DEB_HOST_ARCH)
endif
with_docs = $(if $(findstring nodocs, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(findstring cacao shark, $(PKGSOURCE)))
  with_docs = disabled for cacao and shark
endif

with_wgy_zenhai = $(if $(filter $(distrel),lenny),,yes)

arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 lpia=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparc64 sh4=sh s390=s390 s390x=s390x ia64=ia64 m68k=m68k x32=x32
archdir_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i386 lpia=i386 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64 sparc=sparc sparc64=sparcv9 sh4=sh s390=s390 s390x=s390x ia64=ia64 m68k=m68k x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
archdir		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(archdir_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
  archdir := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)
hotspot_version = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),default,zero)
hotspot_version = default
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
  hotspot_version = aarch64
endif

any_archs = alpha amd64 armel armhf arm64 i386 ia64 lpia mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
stage1_gcj_archs = amd64 armel arm64 armhf hppa i386 ia64 lpia powerpc powerpcspe ppc64 ppc64el m68k mips mipsel sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
stage1_openjdk_archs = alpha mips64 mips64el
stage1_cacao_archs =
ifneq (,$(filter nobootstrap, $(DEB_BUILD_OPTIONS)))
  stage1_openjdk_archs := $(stage1_openjdk_archs) $(stage1_gcj_archs)
  stage1_gcj_archs :=
else ifneq (,$(filter $(distrel),hardy jaunty))
  stage1_openjdk_archs := $(filter-out armel, $(stage1_openjdk_archs) $(stage1_gcj_archs))
  stage1_gcj_archs := armel
else ifneq (,$(filter $(distrel),lenny))
  stage1_gcj_archs := $(filter-out ia64, $(stage1_gcj_archs))
  stage1_openjdk_archs := $(stage1_openjdk_archs) ia64
endif

ifeq (,$(filter $(distrel),lenny intrepid hardy))
  cacao_archs = alpha amd64 armel armhf i386 lpia powerpc powerpcspe m68k mips mipsel s390
  # TODO kfreebsd porting for cacao vm
endif
cacao_archs =
ifneq (,$(filter $(distrel),wheezy precise quantal))
  transitional_cacao_pkg = yes
endif

ifeq (,$(filter $(distrel),squeeze lenny maverick lucid karmic hardy))
  jamvm_archs = amd64 armel armhf i386 lpia mips mipsel powerpc kfreebsd-i386 kfreebsd-amd64
endif
ifeq (,$(filter $(distrel),wheezy squeeze lenny maverick natty maverick lucid karmic hardy))
  jamvm_defaults =
endif

# requires patched llvm-2.6
ifeq (,$(filter $(distrel),lenny jaunty intrepid hardy))
  altshark_archs = powerpc ppc64 ppc64el
  # Shark build but just crash
  altshark_archs   =
endif
altzero_archs = $(filter-out sparc sparc64, $(hotspot_archs)) $(altshark_archs)
ifneq (,$(filter $(distrel),lenny hardy intrepid))
  altzero_archs =
  altshark_archs =
endif

ifeq (,$(filter noaltcacao, $(DEB_BUILD_OPTIONS)))
  ifneq (,$(filter $(DEB_HOST_ARCH), $(cacao_archs)))
    alternate_vms += cacao
  endif
endif
ifeq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS))$(filter noaltshark, $(DEB_BUILD_OPTIONS)))
  ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
    ifneq (,$(filter $(DEB_HOST_ARCH), $(shark_archs) $(altshark_archs)))
      alternate_vms += shark
      zero_dir = shark
    else
      alternate_vms += zero
      zero_dir = zero
    endif
  endif
endif
ifeq (,$(filter noaltjamvm, $(DEB_BUILD_OPTIONS)))
  ifneq (,$(filter $(DEB_HOST_ARCH), $(jamvm_archs)))
    alternate_vms += jamvm
  endif
endif

ifneq (,$(filter $(DEB_HOST_ARCH), $(stage1_gcj_archs)))
  STAGE1_JAVA = gcj
  STAGE1_HOME = /usr/lib/jvm/java-gcj
  ifneq (,$(filter $(distrel), wheezy))
    ifneq (,$(filter $(DEB_HOST_ARCH), m68k s390))
      STAGE1_HOME = /usr/lib/jvm/java-1.5.0-gcj-4.6
    endif
    ifneq (,$(filter $(DEB_HOST_ARCH), ia64))
      STAGE1_HOME = /usr/lib/jvm/java-1.5.0-gcj-4.7
    endif
  endif
else ifneq (,$(filter $(DEB_HOST_ARCH), $(stage1_openjdk_archs)))
  STAGE1_JAVA = openjdk

## openjdk-7 7u75

=== make/linux/Makefile ===
#
# Copyright (c) 1999, 2012, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#
#

# This makefile creates a build tree and lights off a build.
# You can go back into the build tree and perform rebuilds or
# incremental builds as desired. Be sure to reestablish
# environment variable settings for LD_LIBRARY_PATH and JAVA_HOME.

# The make process now relies on java and javac. These can be
# specified either implicitly on the PATH, by setting the
# (JDK-inherited) ALT_BOOTDIR environment variable to full path to a
# JDK in which bin/java and bin/javac are present and working (e.g.,
# /usr/local/java/jdk1.3/solaris), or via the (JDK-inherited)
# default BOOTDIR path value. Note that one of ALT_BOOTDIR
# or BOOTDIR has to be set. We do *not* search javac, javah, rmic etc.
# from the PATH.
#
# One can set ALT_BOOTDIR or BOOTDIR to point to a jdk that runs on
# an architecture that differs from the target architecture, as long
# as the bootstrap jdk runs under the same flavor of OS as the target
# (i.e., if the target is linux, point to a jdk that runs on a linux
# box).  In order to use such a bootstrap jdk, set the make variable
# REMOTE to the desired remote command mechanism, e.g.,
#
#    make REMOTE="rsh -l me myotherlinuxbox"

# Along with VM, Serviceability Agent (SA) is built for SA/JDI binding.
# JDI binding on SA produces two binaries:
#  1. sa-jdi.jar       - This is build before building libjvm[_g].so
#                        Please refer to ./makefiles/sa.make
#  2. libsa[_g].so     - Native library for SA - This is built after
#                        libjsig[_g].so (signal interposition library)
#                        Please refer to ./makefiles/vm.make
# If $(GAMMADIR)/agent dir is not present, SA components are not built.

ifeq ($(GAMMADIR),)
include ../../make/defs.make
else
include $(GAMMADIR)/make/defs.make
endif
include $(GAMMADIR)/make/$(OSNAME)/makefiles/rules.make

ifndef CC_INTERP
  ifndef FORCE_TIERED
    FORCE_TIERED=1
  endif
endif
# C1 is not ported on ppc64, so we cannot build a tiered VM:
ifeq ($(ARCH),ppc64)
  FORCE_TIERED=0
endif

ifdef LP64
  ifeq ("$(filter $(LP64_ARCH),$(BUILDARCH))","")
    _JUNK_ := $(shell echo >&2 \
       $(OSNAME) $(ARCH) "*** ERROR: this platform does not support 64-bit compilers!")
	@exit 1
  endif
endif

# we need to set up LP64 correctly to satisfy sanity checks in adlc
ifneq ("$(filter $(LP64_ARCH),$(BUILDARCH))","")
  MFLAGS += " LP64=1 "
endif

# pass USE_SUNCC further, through MFLAGS
ifdef USE_SUNCC
  MFLAGS += " USE_SUNCC=1 "
endif

# The following renders pathnames in generated Makefiles valid on
# machines other than the machine containing the build tree.
#
# For example, let's say my build tree lives on /files12 on
# exact.east.sun.com.  This logic will cause GAMMADIR to begin with
# /net/exact/files12/...
#
# We only do this on SunOS variants, for a couple of reasons:
#  * It is extremely rare that source trees exist on other systems
#  * It has been claimed that the Linux automounter is flakey, so
#    changing GAMMADIR in a way that exercises the automounter could
#    prove to be a source of unreliability in the build process.
# Obviously, this Makefile is only relevant on SunOS boxes to begin
# with, but the SunOS conditionalization will make it easier to
# combine Makefiles in the future (assuming we ever do that).

ifeq ($(OSNAME),solaris)

  #   prepend current directory to relative pathnames.
  NEW_GAMMADIR :=                                    \
    $(shell echo $(GAMMADIR) |                       \
      sed -e "s=^\([^/].*\)=$(shell pwd)/\1="        \
     )
  unexport NEW_GAMMADIR

  # If NEW_GAMMADIR doesn't already start with "/net/":
  ifeq ($(strip $(filter /net/%,$(NEW_GAMMADIR))),)
    #   prepend /net/$(HOST)
    #   remove /net/$(HOST) if name already began with /home/
    #   remove /net/$(HOST) if name already began with /java/
    #   remove /net/$(HOST) if name already began with /lab/
    NEW_GAMMADIR :=                                     \
         $(shell echo $(NEW_GAMMADIR) |                 \
                 sed -e "s=^\(.*\)=/net/$(HOST)\1="     \
                     -e "s=^/net/$(HOST)/home/=/home/=" \
                     -e "s=^/net/$(HOST)/java/=/java/=" \
                     -e "s=^/net/$(HOST)/lab/=/lab/="   \
          )
    # Don't use the new value for GAMMADIR unless a file with the new
    # name actually exists.
    ifneq ($(wildcard $(NEW_GAMMADIR)),)
      GAMMADIR := $(NEW_GAMMADIR)
    endif
  endif

endif

# BUILDARCH is set to "zero" for Zero builds.  VARIANTARCH
# is used to give the build directories meaningful names.
VARIANTARCH = $(subst i386,i486,$(ZERO_LIBARCH))

# special case for aarch64-x86 hybrid
ifeq ($(BUILTIN_SIM), true)
  ifeq ($(BUILDARCH), aarch64)
    # build outputs go into linux_amd64_xxx subdirs
    VARIANTARCH = amd64
  else
    # build outputs go into normal linux_aaaa_xxx subdirs
    VARIANTARCH=$(BUILDARCH)
  endif
endif

# There is a (semi-) regular correspondence between make targets and actions:
#
#       Target          Tree Type       Build Dir
#
#       debug           compiler2       <os>_<arch>_compiler2/debug
#       fastdebug       compiler2       <os>_<arch>_compiler2/fastdebug
#       jvmg            compiler2       <os>_<arch>_compiler2/jvmg
#       optimized       compiler2       <os>_<arch>_compiler2/optimized
#       profiled        compiler2       <os>_<arch>_compiler2/profiled
#       product         compiler2       <os>_<arch>_compiler2/product
#
#       debug1          compiler1       <os>_<arch>_compiler1/debug
#       fastdebug1      compiler1       <os>_<arch>_compiler1/fastdebug
#       jvmg1           compiler1       <os>_<arch>_compiler1/jvmg
#       optimized1      compiler1       <os>_<arch>_compiler1/optimized
#       profiled1       compiler1       <os>_<arch>_compiler1/profiled
#       product1        compiler1       <os>_<arch>_compiler1/product
#
#       debugcore       core            <os>_<arch>_core/debug
#       fastdebugcore   core            <os>_<arch>_core/fastdebug
#       jvmgcore        core            <os>_<arch>_core/jvmg
#       optimizedcore   core            <os>_<arch>_core/optimized
#       profiledcore    core            <os>_<arch>_core/profiled
#       productcore     core            <os>_<arch>_core/product
#
#       debugzero       zero            <os>_<arch>_zero/debug
#       fastdebugzero   zero            <os>_<arch>_zero/fastdebug
#       jvmgzero        zero            <os>_<arch>_zero/jvmg
#       optimizedzero   zero            <os>_<arch>_zero/optimized
#       profiledzero    zero            <os>_<arch>_zero/profiled
#       productzero     zero            <os>_<arch>_zero/product
#
#       debugshark      shark           <os>_<arch>_shark/debug
#       fastdebugshark  shark           <os>_<arch>_shark/fastdebug
#       jvmgshark       shark           <os>_<arch>_shark/jvmg
#       optimizedshark  shark           <os>_<arch>_shark/optimized
#       profiledshark   shark           <os>_<arch>_shark/profiled
#       productshark    shark           <os>_<arch>_shark/product
#
# What you get with each target:
#
# debug*     - "thin" libjvm_g - debug info linked into the gamma_g launcher
# fastdebug* - optimized compile, but with asserts enabled
# jvmg*      - "fat" libjvm_g - debug info linked into libjvm_g.so
# optimized* - optimized compile, no asserts
# profiled*  - gprof
# product*   - the shippable thing:  optimized compile, no asserts, -DPRODUCT

# This target list needs to be coordinated with the usage message
# in the build.sh script:
TARGETS           = debug jvmg fastdebug optimized profiled product

ifeq ($(findstring true, $(JVM_VARIANT_ZERO) $(JVM_VARIANT_ZEROSHARK)), true)
  SUBDIR_DOCS     = $(OSNAME)_$(VARIANTARCH)_docs
else
  SUBDIR_DOCS     = $(OSNAME)_$(BUILDARCH)_docs
endif
SUBDIRS_C1        = $(addprefix $(OSNAME)_$(BUILDARCH)_compiler1/,$(TARGETS))
SUBDIRS_C2        = $(addprefix $(OSNAME)_$(BUILDARCH)_compiler2/,$(TARGETS))
SUBDIRS_TIERED    = $(addprefix $(OSNAME)_$(BUILDARCH)_tiered/,$(TARGETS))
SUBDIRS_CORE      = $(addprefix $(OSNAME)_$(BUILDARCH)_core/,$(TARGETS))
SUBDIRS_ZERO      = $(addprefix $(OSNAME)_$(VARIANTARCH)_zero/,$(TARGETS))
SUBDIRS_SHARK     = $(addprefix $(OSNAME)_$(VARIANTARCH)_shark/,$(TARGETS))

# special case for aarch64-x86 hybrid
ifeq ($(BUILTIN_SIM), true)
SUBDIRS_C1        = $(addprefix $(OSNAME)_$(VARIANTARCH)_compiler1/,$(TARGETS))
SUBDIRS_C2        = $(addprefix $(OSNAME)_$(VARIANTARCH)_compiler2/,$(TARGETS))
SUBDIRS_TIERED    = $(addprefix $(OSNAME)_$(VARIANTARCH)_tiered/,$(TARGETS))
SUBDIRS_CORE      = $(addprefix $(OSNAME)_$(VARIANTARCH)_core/,$(TARGETS))
SUBDIR_DOCS     = $(OSNAME)_$(VARIANTARCH)_docs
endif

TARGETS_C2        = $(TARGETS)
TARGETS_C1        = $(addsuffix 1,$(TARGETS))
TARGETS_TIERED    = $(addsuffix tiered,$(TARGETS))
TARGETS_CORE      = $(addsuffix core,$(TARGETS))
TARGETS_ZERO      = $(addsuffix zero,$(TARGETS))
TARGETS_SHARK     = $(addsuffix shark,$(TARGETS))

BUILDTREE_MAKE    = $(GAMMADIR)/make/$(OSNAME)/makefiles/buildtree.make
BUILDTREE_VARS    = GAMMADIR=$(GAMMADIR) OS_FAMILY=$(OSNAME) SRCARCH=$(SRCARCH) BUILDARCH=$(BUILDARCH) LIBARCH=$(LIBARCH) OPENJDK_TARGET_CPU_ENDIAN=$(OPENJDK_TARGET_CPU_ENDIAN)
BUILDTREE_VARS   += HOTSPOT_RELEASE_VERSION=$(HOTSPOT_RELEASE_VERSION) HOTSPOT_BUILD_VERSION=$(HOTSPOT_BUILD_VERSION) JRE_RELEASE_VERSION=$(JRE_RELEASE_VERSION)
BUILDTREE_VARS   += ENABLE_FULL_DEBUG_SYMBOLS=$(ENABLE_FULL_DEBUG_SYMBOLS) OBJCOPY=$(OBJCOPY) STRIP_POLICY=$(STRIP_POLICY) ZIP_DEBUGINFO_FILES=$(ZIP_DEBUGINFO_FILES) ZIPEXE=$(ZIPEXE)

BUILDTREE         = $(MAKE) -f $(BUILDTREE_MAKE) $(BUILDTREE_VARS)

#-------------------------------------------------------------------------------

# Could make everything by default, but that would take a while.
all:
	@echo "Try '$(MAKE) <target> ...'  where <target> is one or more of"
	@echo "  $(TARGETS_C2)"
	@echo "  $(TARGETS_C1)"
	@echo "  $(TARGETS_CORE)"
	@echo "  $(TARGETS_ZERO)"
	@echo "  $(TARGETS_SHARK)"

checks: check_os_version check_j2se_version

# We do not want people accidentally building on old systems (e.g. Linux 2.2.x,
# Solaris 2.5.1, 2.6).
# Disable this check by setting DISABLE_HOTSPOT_OS_VERSION_CHECK=ok.

SUPPORTED_OS_VERSION = 2.4% 2.5% 2.6% 3%
OS_VERSION := $(shell uname -r)
EMPTY_IF_NOT_SUPPORTED = $(filter $(SUPPORTED_OS_VERSION),$(OS_VERSION))

check_os_version:
ifeq ($(DISABLE_HOTSPOT_OS_VERSION_CHECK)$(EMPTY_IF_NOT_SUPPORTED),)
	$(QUIETLY) >&2 echo "*** This OS is not supported:" `uname -a`; exit 1;
endif

# jvmti.make requires XSLT (J2SE 1.4.x or newer):
XSLT_CHECK	= $(REMOTE) $(RUN.JAVAP) javax.xml.transform.TransformerFactory
# If not found then fail fast.
check_j2se_version:
	$(QUIETLY) $(XSLT_CHECK) > /dev/null 2>&1; \
	if [ $$? -ne 0 ]; then \
	  $(REMOTE) $(RUN.JAVA) -version; \
	  echo "*** An XSLT processor (J2SE 1.4.x or newer) is required" \
	  "to bootstrap this build" 1>&2; \
	  exit 1; \
	fi

$(SUBDIRS_TIERED): $(BUILDTREE_MAKE)

## openjdk-7 7u75-2.5.4

=== debian/changelog ===
openjdk-7 (7u75-2.5.4-2) unstable; urgency=medium

  * Fix build on mips64 and mips64el. Addresses #776295.
  * Fix the build using the updated patch not following symlinks.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Feb 2015 18:22:28 +0100

openjdk-7 (7u75-2.5.4-1) unstable; urgency=high

  * IcedTea7 2.5.4 release (based on OpenJDK 7u75).
  * Security fixes
    - S8046656: Update protocol support.
    - S8047125, CVE-2015-0395: (ref) More phantom object references.
    - S8047130: Fewer escapes from escape analysis.
    - S8048035, CVE-2015-0400: Ensure proper proxy protocols.
    - S8049253: Better GC validation.
    - S8050807, CVE-2015-0383: Better performing performance data handling.
    - S8054367, CVE-2015-0412: More references for endpoints.
    - S8055304, CVE-2015-0407: More boxing for DirectoryComboBoxModel.
    - S8055309, CVE-2015-0408: RMI needs better transportation considerations.
    - S8055479: TLAB stability.
    - S8055489, CVE-2014-6585: Better substitution formats.
    - S8056264, CVE-2014-6587: Multicast support improvements.
    - S8056276, CVE-2014-6591: Fontmanager feature improvements.
    - S8057555, CVE-2014-6593: Less cryptic cipher suite management.
    - S8058982, CVE-2014-6601: Better verification of an exceptional invokespecial.
    - S8059485, CVE-2015-0410: Resolve parsing ambiguity.
    - S8061210, CVE-2014-3566: Issues in TLS.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Jan 2015 12:14:42 +0100

=== debian/control ===
Source: openjdk-7
Section: java
Priority: optional
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 5),
  m4, lsb-release, wget, zip, unzip, sharutils,
  gawk, cpio, pkg-config, procps, time, wdiff,
  fastjar (>= 2:0.96-0ubuntu2),  dh-autoreconf, quilt,
  ant, ant-optional,  libtool, g++-4.9,
   ecj-gcj [amd64 armel arm64 armhf hppa i386 ia64 lpia powerpc powerpcspe ppc64 ppc64el m68k mips mipsel sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64], gcj-jdk [amd64 armel arm64 armhf hppa i386 ia64 lpia powerpc powerpcspe ppc64 ppc64el mips mipsel sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64], openjdk-7-jdk (>= 6b18) [alpha mips64 mips64el],
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libxinerama-dev, libkrb5-dev, xsltproc, librhino-java (>= 1.7R3~), libpcsclite-dev, fonts-ipafont-mincho,
  libffi-dev, 
  zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,
  libpulse-dev (>= 0.9.12),
  libnss3-dev (>= 2:3.17.1), systemtap-sdt-dev,
  mauve, xvfb, xauth, xfonts-base, libgl1-mesa-dri [!x32], twm | metacity, twm | dbus-x11, x11-xkb-utils,
Standards-Version: 3.9.5
Homepage: http://openjdk.java.net/
Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/openjdk7
Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/openjdk7

Package: openjdk-7-jdk
Architecture: alpha amd64 armel armhf arm64 i386 ia64 lpia mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-7-jre (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-7-demo, openjdk-7-source, visualvm
Provides: java-sdk, java2-sdk, java5-sdk, java6-sdk, java7-jdk, java-compiler
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-7-jre-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 lpia mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}, ${multiarch:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends}, ${tzdata:Depends}, ${jcommon:Depends}, ${dlopenhl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenhl:Recommends}, ${jamvm:Recommends}
Suggests: ${cacao:Recommends}, ${jamvm:Suggests}, libnss-mdns, sun-java6-fonts, fonts-dejavu-extra, fonts-ipafont-gothic, fonts-ipafont-mincho, ttf-wqy-microhei | ttf-wqy-zenhei, fonts-indic,
Provides: java-runtime-headless, java2-runtime-headless, java5-runtime-headless, java6-runtime-headless, java7-runtime-headless, ${defaultvm:Provides}, ${jvm:Provides}
Replaces: openjdk-7-jre-lib (<< 7u45-2.4.3-1)
Conflicts: ${multiarch:Conflicts}
Breaks: ${netx:Breaks}
Built-Using: ${rhino:Source}
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-7-jre
Architecture: alpha amd64 armel armhf arm64 i386 ia64 lpia mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-7-jre-headless (= ${binary:Version}), ${xandsound:Depends}, ${shlibs:Depends}, ${dlopenjre:Depends}, ${misc:Depends}, ${dep:bridge}
Recommends: ${dlopenjre:Recommends}, fonts-dejavu-extra
Suggests: icedtea-7-plugin, ${pkg:pulseaudio}
Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4)
Replaces: openjdk-7-jre-headless (<< 7u65-2.5.1-0~)
Provides: java-runtime, java2-runtime, java5-runtime, java6-runtime, java7-runtime
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-7-jre-lib
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: ${misc:Depends}
Breaks: openjdk-7-jre-headless (<< 7u45-2.4.3-1)
Description: OpenJDK Java runtime (architecture independent libraries)
 OpenJDK Java runtime, using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.
 .
 This is a transitional package. You can safely remove it.

Package: openjdk-7-demo
Architecture: alpha amd64 armel armhf arm64 i386 ia64 lpia mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-7-jre (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-7-source
Architecture: all
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-7-jre (>= ${source:Version}), openjdk-7-jdk (>= ${binary:Version}), ${misc:Depends}
Replaces: openjdk-7-jdk (<< 7u65-2.5.1-4)
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-7-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: openjdk-7-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-7-dbg
Architecture: alpha amd64 armel armhf arm64 i386 ia64 lpia mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Priority: extra
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-7-jre-headless (= ${binary:Version}), ${misc:Depends}
Recommends: openjdk-7-jre (= ${binary:Version})
Suggests: openjdk-7-jdk (= ${binary:Version})
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: icedtea-7-jre-jamvm
Architecture: amd64 armel armhf i386 lpia mips mipsel powerpc kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-7-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Alternative JVM for OpenJDK, using JamVM
 The package provides an alternative runtime using the JamVM.  This is a
 somewhat faster alternative than the Zero port on architectures like armel,
 mips, mipsel, powerpc.
 .
 The VM is started with the option `-jamvm'. See the README.Debian for details.

Package: openjdk-7-jre-zero
Architecture: amd64 i386 arm64 lpia ppc64 ppc64el kfreebsd-amd64 kfreebsd-i386 
Multi-Arch: same
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-7-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero/Shark
 The package provides an alternative runtime using the Zero VM and the 
 Shark Just In Time Compiler (JIT).  Built on architectures in addition
 to the Hotspot VM as a debugging aid for those architectures which don't
 have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.
